guiMenuVars	equ	appBackUpScreen
guiHeadVars equ	appBackUpScreen+10
guiListVars equ	appBackUpScreen+20
guiMenu		equ	0Ah
guiList		equ	0Bh

GuiMenu macro dataaddr
 ld 		hl,&dataaddr
 push		hl				
 jp		StartMenu
 .endm

GuiMenuData macro numlabels, start, select
 db		&numlabels				; Number of labels
 db		&start					; Starting number
 db		&select					; Default selected number
 db		0							; A NULL terminator
 .endm

GuiAddMenu macro name, label
 dw 		&label					; When selected, jump here
 .asciz 	&name						; The menu item name
 .endm

GuiHead macro dataaddr
 ld 		hl,&dataaddr			; Load the address
 push		hl							; Push it
 jp		StartHead				; Jump to the head draw routine
 .endm

GuiHeadData macro numlabels, initial
 db 		&numlabels				; The number of labels (max 8)
 db 		&initial					; Default selected number
 .endm

GuiAddHead macro name, type, label
 db		&type						; The type of head (menu, list etc)
 dw		&label					; Label of data
 .asciz	&name						; Name of the head
 .endm

GuiListData macro addfunc, singlesel, disptype, maxitems
 dw		&addfunc					; The function called to add an item
 db		&singlesel				; Single selection list? (0 or 1)
 db		&disptype				; Display the type? (0 or 1)
 dw		&maxitems				; The maximum number of items
 .endm

GuiListAddItem macro uniqID
 ld		hl,&uniqID
 push		hl
 ld		hl,(addItemAddr)
 jp		(hl)
&uniqID:
 .endm
 
GuiSoftGrid macro
 call	GuiDrawSKGrid				; Draw the soft keys grid
 .endm

